<?xml version="1.0" encoding="utf-8" ?>
<configuration>
  <configSections>
    <section name="dataConfiguration" type="Microsoft.Practices.EnterpriseLibrary.Data.Configuration.DatabaseSettings, Microsoft.Practices.EnterpriseLibrary.Data, Version=5.0.414.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" requirePermission="true" />
    <section name="loggingConfiguration" type="Microsoft.Practices.EnterpriseLibrary.Logging.Configuration.LoggingSettings, Microsoft.Practices.EnterpriseLibrary.Logging, Version=5.0.414.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" requirePermission="true" />
  </configSections>
  <!--日志配置-->
  <loggingConfiguration name="" tracingEnabled="true" defaultCategory="General">
    <listeners>
      <add name="GeneralListener" type="Microsoft.Practices.EnterpriseLibrary.Logging.TraceListeners.RollingFlatFileTraceListener, Microsoft.Practices.EnterpriseLibrary.Logging, Version=5.0.414.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"
        listenerDataType="Microsoft.Practices.EnterpriseLibrary.Logging.Configuration.RollingFlatFileTraceListenerData, Microsoft.Practices.EnterpriseLibrary.Logging, Version=5.0.414.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"
        fileName="General\rolling.log" formatter="Text Formatter" rollFileExistsBehavior="Increment"
        rollInterval="Day" maxArchivedFiles="0" traceOutputOptions="None" />
      <add name="SockListener" type="Microsoft.Practices.EnterpriseLibrary.Logging.TraceListeners.RollingFlatFileTraceListener, Microsoft.Practices.EnterpriseLibrary.Logging, Version=5.0.414.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"
        listenerDataType="Microsoft.Practices.EnterpriseLibrary.Logging.Configuration.RollingFlatFileTraceListenerData, Microsoft.Practices.EnterpriseLibrary.Logging, Version=5.0.414.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"
        fileName="Sock\rolling.log" formatter="Text Formatter" rollInterval="Day" />
      <add name="ScanListener" type="Microsoft.Practices.EnterpriseLibrary.Logging.TraceListeners.RollingFlatFileTraceListener, Microsoft.Practices.EnterpriseLibrary.Logging, Version=5.0.414.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"
        listenerDataType="Microsoft.Practices.EnterpriseLibrary.Logging.Configuration.RollingFlatFileTraceListenerData, Microsoft.Practices.EnterpriseLibrary.Logging, Version=5.0.414.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"
        fileName="Scan\rolling.log" formatter="Text Formatter" rollInterval="Day" />
      <add name="SqlListener" type="Microsoft.Practices.EnterpriseLibrary.Logging.TraceListeners.RollingFlatFileTraceListener, Microsoft.Practices.EnterpriseLibrary.Logging, Version=5.0.414.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"
        listenerDataType="Microsoft.Practices.EnterpriseLibrary.Logging.Configuration.RollingFlatFileTraceListenerData, Microsoft.Practices.EnterpriseLibrary.Logging, Version=5.0.414.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"
        fileName="SQL\logSql.log" formatter="Text Formatter" rollInterval="Day" />
    </listeners>
    <formatters>
      <add type="Microsoft.Practices.EnterpriseLibrary.Logging.Formatters.TextFormatter, Microsoft.Practices.EnterpriseLibrary.Logging, Version=5.0.414.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"
        template="Timestamp: {timestamp}{newline}&#xA;Message: {message}"
        name="Text Formatter" />
    </formatters>
    <categorySources>
      <add switchValue="All" name="General">
        <listeners>
          <add name="GeneralListener" />
        </listeners>
      </add>
      <add switchValue="All" name="Sock">
        <listeners>
          <add name="SockListener" />
        </listeners>
      </add>
      <add switchValue="All" name="AdapterScan">
        <listeners>
          <add name="ScanListener" />
        </listeners>
      </add>
      <add switchValue="All" name="SQL">
        <listeners>
          <add name="SqlListener" />
        </listeners>
      </add>
    </categorySources>
    <specialSources>
      <allEvents switchValue="All" name="All Events" />
      <notProcessed switchValue="All" name="Unprocessed Category" />
      <errors switchValue="All" name="Logging Errors &amp; Warnings" />
    </specialSources>
  </loggingConfiguration>
  <dataConfiguration defaultDatabase="DefaultDB" />
  <connectionStrings>
    <!-- <add name="DefaultDB" connectionString="Data Source=192.168.1.26;
                       Initial Catalog=HL7_Platform;
                       Persist Security Info=True;
                       Integrated Security=False;
                       User ID=sa;Password=sa26" providerName="System.Data.SqlClient"/>

    <add name="HealthCare" connectionString="Data Source=192.168.1.26;
                       Initial Catalog=HealthCare;
                       Persist Security Info=True;
                       Integrated Security=False;
                       User ID=sa;Password=sa26" providerName="System.Data.SqlClient"/>-->
    <add name="DefaultDB" connectionString="server=120.27.235.181;port=3306; UserID=root;Password=xywl2021!;Charset=utf8;database=performance_message" providerName="MySql.Data.MySqlClient"/>
    <add name="HealthCare" connectionString="server=120.27.235.181;port=3306; UserID=root;Password=xywl2021!;Charset=utf8;database=intermediate_gc;Allow User Variables=True" providerName="MySql.Data.MySqlClient"/>


  </connectionStrings>
  <appSettings>
    <!--测试-->
    <!--正式-->
    <add key="MediIIAddress" value="192.9.216.206" />
    <add key="MediIIPort" value="31001" />
    <add key="BufferSize" value="4048" />
    <add key="ReviceTimeOut" value="30000" />
    <add key="ErrorRepeatCount" value="1" />
    <add key="ErrorSleepMSecodes" value="3000" />
    <!--<add key="SedingApplication" value="UEHIS" />-->
    <add key="HosiptalName" value=""/>

    <add key="AddMinues" value="30"/>
    <add key="BranchID" value=""/>
    <!--查询数量-->
    <add key="SearchNum" value="50"/>

    <!--任务解锁时间  单位分钟-->
    <add key="TaskRunTime" value="5"/>

    <add key="SetTime" value="-01 02:00:00" />
    <add key="Post_url" value="http://10.10.5.120:80/wilink/api/wilink/gateway/allInOne"/>
    <!--启动SQL日志-->
    <add key="LogSql" value="1"/>
  </appSettings>
</configuration>